# GenerateIdeaProject

API Documentation: | `GenerateIdeaProject`

Generates an IDEA project file for root project *only*. If you want to fine tune the idea configuration

At this moment nearly all configuration is done via `IdeaProject`.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | output *.ipr file

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

output *.ipr file

Default with `idea` plugin:
  ``${project.projectDir}`/`${project.name}`.ipr`

### Script blocks

No script blocks

### Methods

No methods